petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscOptionsClearValue

Clears an option name-value pair in the options database, overriding whatever is already present.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsClearValue(const char iname[])

Not Collective, but setting values on certain processors could cause problems for parallel objects looking for options.

### Input Parameter

name -name of option, this SHOULD have the - prepended

### See Also

PetscOptionsInsert()

Level:intermediate
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages